import json


class DataRange:

    def __init__(self):
        self.start = ""
        self.end = ""


class Address:

    def __init__(self):
        self.region = ""
        self.country = ""


class Organisation:

    def __init__(self):
        self.name = ""
        self.address = Address()


class CvPosition:

    def __init__(self):
        self.role = ""
        self.organisation = Organisation()
        self.date_range = DateRange()


class AcademicEnrolement(CvPosition):

    def __init__(self):
        super().__init__()
        self.program = ""
        self.grade = ""


class Award:

    def __init__(self):
        self.year = ""
        self.role = ""
        self.title = ""
        self.event = ""


class CvSection:

    def __init__():
        self.title = ""


class CvRoles(CvSection):

    def __init__(self):
        super().__init__()
        self.roles = []


class Author:

    def __init__(self):
        self.first_name = ""
        self.middle_initials = ""
        self.surname = ""
        self.orcid = ""
        self.website = ""


class Event:

    def __init__(self):
        self.title = ""
        self.address = Address()
        self.date = ""


class BibliographicItem:

    def __init__(self):
        self.authors = []
        self.title = []


class TeachingRole:

    def __init__(self):
        self.title = ""
        self.course = ""
        self.institute = Organisation()


class Cv:

    def __init__(self):
        self.sections: list[CvSection] = []

    def serialize(self):
        pass

    def deserialize(self):
        pass


if __name__ == "__main__":
    cv = Cv()
